Package be.fgov.ehealth.dics.protocol.v5

# Class DicsResponseType

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.dics.protocol.v5.DicsResponseType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FindAmppResponse`, `FindAmpResponse`, `FindChapterIVParagraphResponse`, `FindCommentedClassificationResponse`, `FindCompanyResponse`, `FindCompoundingFormulaResponse`, `FindCompoundingIngredientResponse`, `FindLegislationTextResponse`, `FindListOfAmpResponse`, `FindNonMedicinalProductResponse`, `FindReferencesResponse`, `FindReimbursementResponse`, `FindVmpGroupResponse`, `FindVmpResponse`, `FindVtmResponse`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class DicsResponseType extends ResponseType implements Serializable
Common type for all DICS responses. Adds a Search Date and SAM Id to the eHealth Commons Status Response Type

Java class for DicsResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DicsResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}ResponseType">
           <attribute name="SearchDate" type="{http://www.w3.org/2001/XMLSchema}date" />
           <attribute name="SamId" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DicsResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSamId()`
  A unique SAM Id indicating the version of SAM that was consulted.
  `Instant`
  `getSearchDate()`
  The validity date of the returned data.
  `void`
  `setSamId(String value)`
  Sets the value of the samId property.
  `void`
  `setSearchDate(Instant value)`
  Sets the value of the searchDate property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DicsResponseType

    public DicsResponseType()

- ## Method Details

  - ### getSearchDate

    public Instant getSearchDate()
    The validity date of the returned data.
    Returns:
      possible object is `String`

  - ### setSearchDate

    public void setSearchDate(Instant value)
    Sets the value of the searchDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSearchDate()`

  - ### getSamId

    public String getSamId()
    A unique SAM Id indicating the version of SAM that was consulted. Users of SAM (e.g. prescribers) must use this Id to prove that the data they use is sufficiently recent.
    Returns:
      possible object is `String`

  - ### setSamId

    public void setSamId(String value)
    Sets the value of the samId property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSamId()`